Skip to content
iTick
  1. Docs
  2. REST API
  3. Indices
  4. Batch Real-Time Tick

Batch Real-Time Tick

Batch real-time transaction-by-transaction data for major global stock indices, covering core indices such as CSI 300, SSE Composite Index, Shenzhen Component Index, S&P 500, Nasdaq, and Hang Seng. Provides millisecond-accurate timestamps, transaction prices, trading volumes, and buy/sell directions, completely recording every market transaction detail.

GET/indices/ticks

Request Parameters

regionenumRequired

Market code

codesstringRequired

Product code(s). Separate multiple products with commas. The maximum supported quantity varies by plan: Base: 10, Professional: 20, Premium: 50, Enterprise: custom

Response Parameters

codenumber

Response code

msgstring

Response description

dataobject▶Response result
sstring

Symbol code

ldnumber

Latest price

tnumber

Timestamp of the latest trade

vnumber

Transaction volume

Code Examples

import requests

url = "https://api.itick.org/indices/ticks?region=GB&codes=SPX,DJI"

headers = {
"accept": "application/json"
"token": "Your Token"
}

response = requests.get(url, headers=headers)

print(response.text)

Query URL

GEThttps://api.itick.org/indices/ticks?region=GB&codes=SPX,DJI

, Run query

Response Result

{
  "code": 0,
  "msg": null,
  "data": {
    "SPX": {
      "s": "SPX",
      "ld": 6338.25,
      "t": 1754581081000,  // 2025-08-07 15:38:01 UTC
      "v": 1000000
    },
    "DJI": {
      "s": "DJI",
      "ld": 43874.46,
      "t": 1754581081000,  // 2025-08-07 15:38:01 UTC
      "v": 100000
    }
  }
}